% Run the main script for setting up the cartpole simulation.
run('cartpole_main.m')

% Open and load the Simulink model named 'cartpoleF'.
open_system('cartpoleF')
load_system('cartpoleF')

% Create a SimulationInput object for the 'cartpoleF' Simulink model.
in = Simulink.SimulationInput('cartpoleF');

% Define the end time of the simulation.
T_end = 20;

% Create a time vector from 0 to T_end with a step size of 0.1.
t = (0:0.1:T_end)';

% Generate observation and process noise vectors based on the defined noise levels.
obs_noise1 = sqrt(0.0002)*ones(size(t)); % Observation noise 1.
obs_noise2 = sqrt(0.0002)*ones(size(t)); % Observation noise 2.
proc_noise1 = sqrt(q1)*ones(size(t));    % Process noise 1, dependent on q1.
proc_noise2 = sqrt(q2)*ones(size(t));    % Process noise 2, dependent on q2.

% Create timeseries objects for the noise vectors.
ts_1 = timeseries(obs_noise1, t);
ts_2 = timeseries(obs_noise2, t);
ts_3 = timeseries(proc_noise1, t);
ts_4 = timeseries(proc_noise2, t);

% Run the simulation with the defined input object.
out = sim(in);

% Extract time and output data from the simulation results.
time = out.simout.Time;
output = out.simout.Data;

% Plotting the model's outputs: position (x),
