run('cartpole_main.m')

open_system('cartpoleF')
load_system('cartpoleF')

in = Simulink.SimulationInput();

T_end = 20;
Tsim = 1e-3;
Ts =1e-2;

n_sim = 1;

output = zeros(T_end/Tsim+1,4,n_sim);

const = rand(4,1) * 2e-4;
r1 = const(1);
r2 = const(2);
q1 = const(3);
q2 = const(4);

out = sim('cartpoleF');

time = out.simout.Time;
output = out.simout.Data;

%Plotting model
figure,
fontsize = 18;
tiledlayout(4,1)
nexttile
plot(time, output(:,1), 'LineWidth',3)
title('x','FontSize',fontsize )
nexttile
plot(time, output(:,2), 'LineWidth',3)
title('v_x','FontSize',fontsize )
nexttile
plot(time, output(:,3), 'LineWidth',3)
title('theta','FontSize',fontsize )
nexttile
plot(time, output(:,4), 'LineWidth',3)
title('v_{theta}','FontSize',fontsize )